## GOCharmapSel

GOCharmapSel

## Synopsis

                        GOCharmapSel;
    enum                GOCharmapSelTestDirection;
    gchar const *       go_charmap_sel_get_encoding         (GOCharmapSel *cs);
    const char *        go_charmap_sel_get_encoding_name    (GOCharmapSel *cs,
                                                             const char *enc);
    GtkWidget *         go_charmap_sel_new                  (GOCharmapSelTestDirection test);
    gboolean            go_charmap_sel_set_encoding         (GOCharmapSel *cs,
                                                             const char *enc);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GOCharmapSel

## Implemented Interfaces

GOCharmapSel implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "TestDirection"            guint                 : Read / Write

## Signals

      "charmap-changed"                                : Run Last

## Description

## Details

### GOCharmapSel

    typedef struct _GOCharmapSel GOCharmapSel;

### enum GOCharmapSelTestDirection

    typedef enum {
    	GO_CHARMAP_SEL_TO_UTF8 = 0,
    	GO_CHARMAP_SEL_FROM_UTF8
    } GOCharmapSelTestDirection;

`GO_CHARMAP_SEL_TO_UTF8` | to UTF-8.
`GO_CHARMAP_SEL_FROM_UTF8` | from UTF-8.

### go_charmap_sel_get_encoding ()

    gchar const *       go_charmap_sel_get_encoding         (GOCharmapSel *cs);

### go_charmap_sel_get_encoding_name ()

    const char *        go_charmap_sel_get_encoding_name    (GOCharmapSel *cs,
                                                             const char *enc);

### go_charmap_sel_new ()

    GtkWidget *         go_charmap_sel_new                  (GOCharmapSelTestDirection test);

### go_charmap_sel_set_encoding ()

    gboolean            go_charmap_sel_set_encoding         (GOCharmapSel *cs,
                                                             const char *enc);

## Property Details

### The `"TestDirection"` property

      "TestDirection"            guint                 : Read / Write

This value determines which iconv test to perform.

Allowed values: <= 1

Default value: 0

## Signal Details

### The `"charmap-changed"` signal

    void                user_function                      (GOCharmapSel *gocharmapsel,
                                                            gpointer      arg1,
                                                            gpointer      user_data)         : Run Last

`gocharmapsel` : | the object which received the signal.
`user_data` : | user data set when the signal handler was connected.